API ReferenceapicommunityPATCH /v1/posts/{post_id}

PATCH /v1/posts/\{post_id\}

Service: community · operationId: (none)

Required scopes

(no scope declared — review service config)

Path parameters

  • post_id (string) required

Request body

{
  "type": "object",
  "properties": {
    "content": {
      "type": "string",
      "minLength": 1
    }
  },
  "required": [
    "content"
  ]
}

Responses

200 Post updated

{
  "type": "object",
  "properties": {
    "id": {
      "type": "string"
    },
    "author_id": {
      "type": "string"
    },
    "brand_id": {
      "type": "string"
    },
    "content": {
      "type": "string"
    },
    "score": {
      "type": "integer"
    },
    "reaction_counts": {
      "type": "object",
      "additionalProperties": {
        "type": "integer"
      }
    },
    "tags": {
      "type": "array",
      "items": {
        "type": "string"
      }
    },
    "metadata": {
      "type": "object",
      "additionalProperties": {}
    },
    "media_urls": {
      "type": "array",
      "items": {}
    },
    "moderation_status": {
      "type": "string"
    },
    "created_at": {
      "type": "string"
    },
    "updated_at": {
      "type": "string"
    },
    "edited_at": {
      "type": [
        "string",
        "null"
      ]
    },
    "edit_window_ends_at": {
      "type": "string"
    },
    "is_broadcast": {
      "type": "boolean"
    },
    "broadcast_role": {
      "type": [
        "string",
        "null"
      ]
    },
    "pinned_until": {
      "type": [
        "string",
        "null"
      ]
    },
    "pinned_by_staff_at": {
      "type": [
        "string",
        "null"
      ]
    }
  },
  "required": [
    "id",
    "author_id",
    "brand_id",
    "content",
    "score",
    "reaction_counts",
    "tags",
    "metadata",
    "media_urls",
    "moderation_status",
    "created_at",
    "updated_at",
    "edited_at",
    "edit_window_ends_at",
    "is_broadcast",
    "broadcast_role",
    "pinned_until",
    "pinned_by_staff_at"
  ]
}

403 Edit not allowed

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

404 Post not found

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

410 Edit window expired

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

Example

curl -X PATCH https://community.platform.loop.health/v1/posts/{post_id} \
  -H "Authorization: Bearer $ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{ ... }'